bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#28571: 25.3; Compile error on macOS Sierra


From: Philipp Stephani
Subject: bug#28571: 25.3; Compile error on macOS Sierra
Date: Sun, 24 Sep 2017 07:49:55 +0000



Alan Third <address@hidden> schrieb am Sa., 23. Sep. 2017 um 21:31 Uhr:
On Sat, Sep 23, 2017 at 09:08:21PM +0200, Philipp wrote:
>
> Compilation fails on macOS Sierra at repository version
> c0af83b6ccf2dab9a515dd7f52eb9d4500275ae3:
>
> $ make
> /Applications/Xcode.app/Contents/Developer/usr/bin/make -C lib all
>   CC       utimens.o
> utimens.c:250:20: error: 'utimensat' is only available on macOS 10.13 or newer [-Werror,-Wunguarded-availability-new]
>           result = utimensat (AT_FDCWD, file, ts, 0);
>                    ^~~~~~~~~

I can’t replicate, but I don’t have the full xcode installed, just the
command line stuff.

I take it you upgraded Xcode the other day? (To version 9, I think?)

Yes, indeed.
 

Is there maybe a test in configure that’s incorrectly identifying this
utimens.c stuff as OK?


I do have configure output like this:

checking for futimens... yes

checking for utimensat... yes

So I think the functions are there, but the compilation shouldn't use them since they would make the binary incompatible with old versions of macOS. 

reply via email to

[Prev in Thread] Current Thread [Next in Thread]